//http://homofaciens.de/technics-physical-computing-set01_en.htm

//Blinking LED

//Connect kathode (- short pin, flat side of housing) of LED to GND of Arduino
//Connect anode (+ long pin, round side of housing) to 220 Ohm resistor
//Connect second end of 220 Ohm resistor to pin 3 of Arduino


//Define pin number the LED is connected to
#define LED_R_01_PIN  2
#define LED_R_02_PIN  3
#define LED_R_03_PIN  4
#define LED_R_04_PIN  5

#define LED_Y_01_PIN  6
#define LED_Y_02_PIN  7
#define LED_Y_03_PIN  8
#define LED_Y_04_PIN  9

#define LED_B_01_PIN 10
#define LED_B_02_PIN 11
#define LED_B_03_PIN 12
#define LED_B_04_PIN 13

void setup() {                 //This code is executed whenever the board is turned on or the reset button is pressed
  //Switch all LED pins to output mode
  pinMode(LED_R_01_PIN, OUTPUT);
  pinMode(LED_R_02_PIN, OUTPUT);
  pinMode(LED_R_03_PIN, OUTPUT);
  pinMode(LED_R_04_PIN, OUTPUT);

  pinMode(LED_Y_01_PIN, OUTPUT);
  pinMode(LED_Y_02_PIN, OUTPUT);
  pinMode(LED_Y_03_PIN, OUTPUT);
  pinMode(LED_Y_04_PIN, OUTPUT);

  pinMode(LED_B_01_PIN, OUTPUT);
  pinMode(LED_B_02_PIN, OUTPUT);
  pinMode(LED_B_03_PIN, OUTPUT);
  pinMode(LED_B_04_PIN, OUTPUT);
}

void loop() {                       //This loop runs forever
  //Turn red LEDs on
  digitalWrite(LED_R_01_PIN, HIGH);
  digitalWrite(LED_R_02_PIN, HIGH);
  digitalWrite(LED_R_03_PIN, HIGH);
  digitalWrite(LED_R_04_PIN, HIGH);
  delay(1000);                      // wait 1000 milliseconds = 1 second
  //Turn yellow LEDs on
  digitalWrite(LED_Y_01_PIN, HIGH);
  digitalWrite(LED_Y_02_PIN, HIGH);
  digitalWrite(LED_Y_03_PIN, HIGH);
  digitalWrite(LED_Y_04_PIN, HIGH);
  delay(1000);                      // wait 1000 milliseconds = 1 second
  //Turn blue LEDs on
  digitalWrite(LED_B_01_PIN, HIGH);
  digitalWrite(LED_B_02_PIN, HIGH);
  digitalWrite(LED_B_03_PIN, HIGH);
  digitalWrite(LED_B_04_PIN, HIGH);
  delay(1000);                      // wait 1000 milliseconds = 1 second
  //turn all LEDs off
  digitalWrite(LED_R_01_PIN, LOW);
  digitalWrite(LED_R_02_PIN, LOW);
  digitalWrite(LED_R_03_PIN, LOW);
  digitalWrite(LED_R_04_PIN, LOW);

  digitalWrite(LED_Y_01_PIN, LOW);
  digitalWrite(LED_Y_02_PIN, LOW);
  digitalWrite(LED_Y_03_PIN, LOW);
  digitalWrite(LED_Y_04_PIN, LOW);

  digitalWrite(LED_B_01_PIN, LOW);
  digitalWrite(LED_B_02_PIN, LOW);
  digitalWrite(LED_B_03_PIN, LOW);
  digitalWrite(LED_B_04_PIN, LOW);

  delay(1000);                      // wait 1000 milliseconds = 1 second
}
